PDA

Archiv verlassen und diese Seite im Standarddesign anzeigen : schweres iptables problem



H-net
09.11.2005, 21:56
hi...

also ich habe einen debianserver(2.6.13.3-amd), auf dem ich gerne eine firewall laufen lassen will... aber wenn ich hier ein iptables script starten will kommt das:

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.
Note: /etc/modules.conf is more recent than /lib/modules/2.6.13.3-amd/modules.dep
modprobe: QM_MODULES: Function not implemented

modprobe: QM_MODULES: Function not implemented

modprobe: Can't locate module ip_tables
iptables v1.3.3: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.


deswegen wollte ich einen 2.6.13.3 selber kompilieren... habe also alle iptables und netfilter-packete ausgewählt und auch CONFIG_MODVERSIONS nicht gesetzt.

wenn ich nun "make && make modules && make modules_install && make install" mache, dann kommt zum schluss immer:





depmod: *** Unresolved symbols in /lib/modules/2.6.13.3/kernel/net/ipv4/netfilter/iptable_filter.ko
depmod: ipt_unregister_table
depmod: ipt_do_table
depmod: ipt_register_table
depmod: *** Unresolved symbols in /lib/modules/2.6.13.3/kernel/net/ipv4/netfilter/iptable_mangle.ko
depmod: ipt_unregister_table
depmod: ipt_do_table
depmod: ipt_register_table
depmod: *** Unresolved symbols in /lib/modules/2.6.13.3/kernel/net/ipv4/netfilter/iptable_nat.ko
und so weiter.... immer unresolved symbols....
wenn ich nun mit diesem kernel boote dann kommen wieder die selben fehlermeldungen wenn ich mein iptables script ausführen will

aber irgendwie muss ich doch iptables zum laufen bekommen, bei anderen klappts doch auch...

HILFE...

mfg axel

DennisM
09.11.2005, 22:20
Ich glaube da fehlen einige Abhängigkeiten für iptables.

MFG

Dennis

chb
09.11.2005, 22:52
Als allererstes würde ich mal meine module-init-tools updaten, weil die jetzigen kommen nicht mit Kernel 2.6 klar.